Generates a random floating point number between 0 and 1

- « stats_rand_phrase_to_seeds

- stats_rand_setall »

- PHP Manual
- Statistic Functions
- Generates a random floating point number between 0 and 1

# stats_rand_ranf

(PECL stats >= 1.0.0)

stats_rand_ranf — Generates a random floating point number between 0 and 1

### Description

stats_rand_ranf(): float

Returns a random floating point number from a uniform distribution between 0 (exclusive) and 1 (exclusive).

### Parameters

This function has no parameters.

### Return Values

A random floating point number